#pragma once
#ifndef __CUBEMAP_H
#define __CUBEMAP_H

#include "SimpleString.h"
#include "Def.h"

struct cubemap
{
	enum {
		up = 0,
		down = 1,
		right = 2,
		left = 3,
		forward = 4,
		backward = 5
	};
    SimpleString name[6];
    int sizeX, sizeY;
	color *texture; 
    float exposure;
    bool bExposed;
    bool bsRGB;
    cubemap() : texture(0), exposure(1.0f), bExposed(false), bsRGB(false) {};
    bool Init();
    bool InitHDR();
    void setExposure(float newExposure) {exposure = newExposure; }
    ~cubemap() { if (texture) delete []texture; }
};

color readCubemap(const cubemap & cm, ray myRay);

#endif  //__CUBEMAP_H
